[Chameleon] dbase problem on Debian GNU/Linux

Niccolo Rigacci niccolo at rigacci.org
Thu Jun 16 03:26:38 EDT 2005


I tried to run Chameleon on my GNU/Linux Debian Sarge box. It
seems that I have two problems.

The first problem is a non working php4-mapscript, this is a
known problem originating from the fact that PHP4 on Debian was
compiled '--with-regex=php' (the php default) instead of
'--with-regex=system'. We hope that the new upcoming Mapserver
4.6.0 will solve the problem.

The second more serious problem is with dbase support. Once
installed Chameleon does not see the dbase extension and fails to
load php_dbase.so.

I suppose that PHP4 on Debian was not compiled with
'--enable-dbase' due some non-free license problem. I found a
php4-dbase Debian package, but it is for the old Woody Debian
distro and it was a non-free package. For Red Hat I see also that
dbase support is provided by a separate, non GPL .rpm package

Does somebody knows the issues involved? Is Chameleon really
dependent from a non GPL code? Does anybody have installed it on
a Debian box?

Niccolo Rigacci
Firenze - Italy

War against Iraq? Not in my name!

More information about the Chameleon mailing list